Subject: IETF KRB-WG Interum meeting Boston 2/12 - 2/13

From: "Douglas E. Engert" <[email-masked]>
Date: Mon, 18 Feb 2002 13:04:21 -0600

An interim meeting to the krb-wg was held at MIT on 2/12 and 2/13
The agenda for the meeting was to work on the revisions document
which has been in flux for at least two years, with proposals for 
additional changes still on the table. 

Present at the meeting:

- Tom Yu (MIT)
- Ken Raeburn (MIT)
- Sam Hartman (Mekinok)
- Jeff Hutzlman (CMU)
- Ken Hornstein (NRL)
- Jeff Altman (Columbia)
- Doug Engert (ANL)
- Cliff Newmann (ISI)
- John Brezak (Microsoft)
- Nicole Williams (Perot Systems)

The main outcome of the meeting is to split the "revisions" document into
two documents, which would be called "Clarifications" and "Extensions".

"Clarifications" would contain most of the features which have been added
in various implementations, and which are needed now. This will allow this 
document to proceed rather quickly, as we have been working on this for two 
years. 

"Extensions" will contain most of the other new features which are needed to
cleanup the protocol, add extensibility, and true internationalization. 

The two main concerns where cost of implementation and timeliness. The 
internationalization changes need to be based on what the DNS people do, and 
will require changes to the protocol to implement. This would require changes
to many of the messages formats. Although this is a good long term goal, it 
will be costly to implement and test. Yet there are other changes which have 
been informally agreed upon and implemented in multiple implementations
which need to be documented now.  

Although many of us had been taking notes (and photos) of which features
are to be in each document, Cliff has promised to post to his web site a nice
formatted list of these in the next few days, along with the "Clarifications" 
so I will not try and list them here. 

See http://www.isi.edu/people/bcn/krb-revisions/ is a few days.

-- 

 Douglas E. Engert  <[email-masked]>
 Argonne National Laboratory
 9700 South Cass Avenue
 Argonne, Illinois  60439 
 (630) 252-5444